# Command: CreatePivot

CreatePivot ( [parent] )

Parameters:

parent (optional) - parent entity of pivot

Description:

Creates a pivot entity.

A pivot entity is an invisible point in 3D space that's main use is to act as a parent entity to other entities. The pivot can then be used to control lots of entities at once, or act as new centre of rotation for other entities.

To enforce this relationship; use EntityParent or make use of the optional parent entity parameter available with all entity load/creation commands.

Indeed, this parameter is also available with the CreatePivot command if you wish for the pivot to have a parent entity itself.

Example:

None.

Index